%define package filelink-dl
%define version 0.17.2
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos
BuildRequires:  e-smith-devtools

Requires:	ipasserelle-gp
Requires:	wpkg-thunderbird-config
Requires:	wpkg-7zip

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
/usr

%changelog
* Wed May 17 2017 Daniel Berteaud <daniel@firewall-services.com> 0.17.2-1
- Update to 0.17.2

* Mon May 9 2016 Daniel Berteaud <daniel@firewall-services.com> 0.17.1-1
- Update to 0.17.1

* Thu Sep 17 2015 Daniel Berteaud <daniel@firewall-services.com> 0.17-1
- Update to 0.17

* Mon Aug 4 2014 Daniel Berteaud <daniel@firewall-services.com> 0.13-1
- Update to 0.13

* Wed Dec 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.12-1
- initial release with DL for Thunderbird 0.12

